/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 电子签费用充值 POST /api/LgGigWorkerReCharge/ApplyGigWorkerRechargeFee */
export async function applyGigWorkerRechargeFee(
  body: API.ApplyGigWorkerRechargeFeeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorkerReCharge/ApplyGigWorkerRechargeFee', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 电子签充值审核 POST /api/LgGigWorkerReCharge/AuditGigWorkerRechargeFee */
export async function auditGigWorkerRechargeFee(
  body: API.AuditGigWorkerRechargeFeeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorkerReCharge/AuditGigWorkerRechargeFee', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取电子签详情 GET /api/LgGigWorkerReCharge/GetGigWorkerRechargeFeeDetail */
export async function getGigWorkerRechargeFeeDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetGigWorkerRechargeFeeDetailParams,
  options?: API.RequestConfig
) {
  return request<API.GigWorkerRechargeFeeOutput>(
    '/api/LgGigWorkerReCharge/GetGigWorkerRechargeFeeDetail',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取电子签充值列表 POST /api/LgGigWorkerReCharge/GetGigWorkerRechargeFeeList */
export async function getGigWorkerRechargeFeeList(
  body: API.GetGigWorkerRechargeFeeInput,
  options?: API.RequestConfig
) {
  return request<API.GigWorkerRechargeFeeOutputPageOutput>(
    '/api/LgGigWorkerReCharge/GetGigWorkerRechargeFeeList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取费用充值配置 GET /api/LgGigWorkerReCharge/GetLgGigWorkerSignOptions */
export async function getLgGigWorkerSignOptions(options?: API.RequestConfig) {
  return request<API.LgGigWorkerSignOptions>('/api/LgGigWorkerReCharge/GetLgGigWorkerSignOptions', {
    method: 'GET',
    ...(options || {}),
  });
}
